/**
 * @file
 * Custom utilities.
 *
 */
(function($, Drupal) {

    'use strict';
  
    Drupal.behaviors.bootstrap_barrio_subtheme = {
      attach: function(context, settings) {
        
        
        $("#search-overlay-trigger, .fermer").click(function(){
            $(".block_search").toggleClass("hidden");
        });

        $(".menu-mobile").click(function(){
          $(".region-header").toggleClass("active");
       });
        

      }
    };

    $(document).ready(function() {

      if ($(window).width() > 1100) {
        var stickyTop = $('#header').offset().top;
        $(window).scroll(function() {
          var windowTop = $(window).scrollTop();
          if (stickyTop < windowTop) {
            $('#header').addClass("sticky");
          } else {
            $('#header').removeClass("sticky");
          }
        });
      };


      if ($(window).width() < 800) {
        
       // $('.header-bottom').append('.header-service');
        $( '.header-service' ).appendTo( $( '.header-bottom' ) );
      };

      $('.nolink').click(function(e) {
        e.preventDefault();
        $(this).parent().toggleClass("open");
        $('ul li.open').fadeIn(300);
        //return false;
    });


    });
  
  })(jQuery, Drupal);
